Chromium Code Reviews
Help | Chromium Project | Sign in
(11)

Issue 2786173003: Convert android to use X509CertificateBytes instead of X509CertificateOpenSSL. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 weeks, 6 days ago by mattm
Modified:
2 weeks ago
Reviewers:
davidben
CC:
chromium-reviews, rsleevi+watch_chromium.org, certificate-transparency-chrome_googlegroups.com, cbentzel+watch_chromium.org, Eran Messeri, net-reviews_chromium.org, martijn+crwatch_martijnc.be, xunjieli
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert android to use X509CertificateBytes instead of X509CertificateOpenSSL. BUG=671420 Review-Url: https://codereview.chromium.org/2786173003 Cr-Commit-Position: refs/heads/master@{#464262} Committed: https://chromium.googlesource.com/chromium/src/+/0704d236ee706ffb29fc22fd90f99537e7f15673

Patch Set 1 #

Patch Set 2 : deps? #

Patch Set 3 : deps are hard, let's go shopping #

Patch Set 4 : X509_parse_from_buffer #

Patch Set 5 : rebase #

Patch Set 6 : rebase #

Patch Set 7 : rebase #

Total comments: 2

Patch Set 8 : rebase #

Patch Set 9 : ssl_server_socket_impl.cc simplifications #

Messages

Total messages: 43 (35 generated)
mattm
Hi David, If you have time, would you like to look at this to see ...
2 weeks, 2 days ago (2017-04-11 01:18:24 UTC) #27
davidben
lgtm, though the CQ currently doesn't like you. (Wow, I'm impressed the CL is so ...
2 weeks, 1 day ago (2017-04-11 23:42:45 UTC) #30
mattm
https://codereview.chromium.org/2786173003/diff/120001/net/socket/ssl_server_socket_impl.cc File net/socket/ssl_server_socket_impl.cc (right): https://codereview.chromium.org/2786173003/diff/120001/net/socket/ssl_server_socket_impl.cc#newcode667 net/socket/ssl_server_socket_impl.cc:667: #endif // USE_OPENSSL_CERTS && !USE_BYTE_CERTS On 2017/04/11 23:42:45, davidben ...
2 weeks ago (2017-04-12 23:07:45 UTC) #33
davidben
lgtm
2 weeks ago (2017-04-12 23:11:39 UTC) #34
davidben
+xunjieli FYI. This is the other half of the CRYPTO_BUFFER work on Android as far ...
2 weeks ago (2017-04-12 23:12:32 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2786173003/160001
2 weeks ago (2017-04-13 01:46:57 UTC) #39
commit-bot: I haz the power
Committed patchset #9 (id:160001) as https://chromium.googlesource.com/chromium/src/+/0704d236ee706ffb29fc22fd90f99537e7f15673
2 weeks ago (2017-04-13 02:55:24 UTC) #42
nednguyen
1 week, 6 days ago (2017-04-14 10:50:26 UTC) #43
Message was sent while issue was closed.
A revert of this CL (patchset #9 id:160001) has been created in
https://codereview.chromium.org/2817053003/ by nednguyen@google.com.

The reason for reverting is: Suspect causing ERR_SSL_SERVER_CERT_BAD_FORMAT
error on perf tests..
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46